VERSION 5.00
Object = "{0D452EE1-E08F-101A-852E-02608C4D0BB4}#2.0#0"; "FM20.DLL"
Begin VB.Form frmDEMO 
   Caption         =   "Demo LK reader ActiveX DLL"
   ClientHeight    =   10680
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   12765
   LinkTopic       =   "Form1"
   ScaleHeight     =   10680
   ScaleWidth      =   12765
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      AutoSize        =   -1  'True
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   9735
      Left            =   7440
      ScaleHeight     =   9675
      ScaleWidth      =   5115
      TabIndex        =   1
      Top             =   840
      Width           =   5175
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Procitaj podatke sa LK"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2055
   End
   Begin MSForms.TextBox TextBox1 
      Height          =   9735
      Left            =   120
      TabIndex        =   2
      Top             =   840
      Width           =   7215
      VariousPropertyBits=   -1400879077
      Size            =   "12726;17171"
      FontName        =   "Arial"
      FontHeight      =   165
      FontCharSet     =   238
      FontPitchAndFamily=   2
   End
End
Attribute VB_Name = "frmDEMO"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim WithEvents ReaderEngine As LKReader.Reader
Attribute ReaderEngine.VB_VarHelpID = -1

Private Sub Command1_Click()
   Dim strFinal As String

   If Not ReaderEngine.ReadData Then Exit Sub

   strFinal = ""
   strFinal = strFinal & "Reg. broj: " & ReaderEngine.docRegNo & vbCrLf
   strFinal = strFinal & "Izdao: " & ReaderEngine.issuingAuthority & vbCrLf
   strFinal = strFinal & "Izdana dana: " & ReaderEngine.issuingDate & vbCrLf
   strFinal = strFinal & "Istice: " & ReaderEngine.expiryDate & vbCrLf
   
   strFinal = strFinal & "Prezime: " & ReaderEngine.surname & vbCrLf
   strFinal = strFinal & "Ime: " & ReaderEngine.givenName & vbCrLf
   strFinal = strFinal & "Ime roditelja: " & ReaderEngine.parentGivenName & vbCrLf
   strFinal = strFinal & "Datum rodjenja: " & ReaderEngine.dateOfBirth & vbCrLf
   strFinal = strFinal & "Mesto rodjenja: " & ReaderEngine.placeOfBirth & vbCrLf
   strFinal = strFinal & "Opstina rodjenja: " & ReaderEngine.communityOfBirth & vbCrLf
   strFinal = strFinal & "Drzava rodjenja: " & ReaderEngine.stateOfBirth & vbCrLf
   strFinal = strFinal & "JMBG: " & ReaderEngine.personalNumber & vbCrLf
   strFinal = strFinal & "Pol: " & ReaderEngine.sex & vbCrLf
   
   strFinal = strFinal & "Drzava: " & ReaderEngine.state & vbCrLf
   strFinal = strFinal & "Opstina stanovanja: " & ReaderEngine.community & vbCrLf
   strFinal = strFinal & "Mesto: " & ReaderEngine.place & vbCrLf
   strFinal = strFinal & "Ulica: " & ReaderEngine.street
   strFinal = strFinal & "Broj: " & ReaderEngine.houseNumber & vbCrLf
   strFinal = strFinal & "Slovo: " & ReaderEngine.houseLetter & vbCrLf
   strFinal = strFinal & "Ulaz: " & ReaderEngine.entrance & vbCrLf
   strFinal = strFinal & "Broj stana: " & ReaderEngine.apartmentNumber & vbCrLf
   strFinal = strFinal & "Sprat: " & ReaderEngine.floor & vbCrLf
   
   TextBox1.Text = strFinal

   Set Picture1.Picture = ReaderEngine.portrait
   
End Sub
Private Sub Form_Load()
   
   Set ReaderEngine = New LKReader.Reader
   
End Sub
Private Sub Form_Unload(Cancel As Integer)

   Set ReaderEngine = Nothing
   
End Sub
Private Sub ReaderEngine_ReaderError(ByVal ErrorCode As LKReader.LKReader_Error, ByVal ProcedureName As String)
   
   'Ispita se koja je greska
   
   Select Case ErrorCode
      Case LKR_E_GENERAL_ERROR
         '...
      Case LKR_E_INVALID_PARAMETER
         '...
      Case LKR_E_VERSION_NOT_SUPPORTED
         '...
      Case LKR_E_NOT_INITIALIZED
         '...
      Case LKR_E_UNABLE_TO_EXECUTE
         '...
      Case LKR_E_READER_ERROR
         '...
      Case LKR_E_CARD_MISSING
         '...
      Case LKR_E_CARD_UNKNOWN
         '...
      Case LKR_E_CARD_MISMATCH
         '...
      Case LKR_E_UNABLE_TO_OPEN_SESSION
         '...
      Case LKR_E_DATA_MISSING
         '..
      Case LKR_E_CARD_SECFORMAT_CHECK_ERROR
         '..
      Case LKR_E_SECFORMAT_CHECK_CERT_ERROR
         '..
   
   End Select
   
   'Ispita se u kojoj proceduri je greska nastala
   
   Select Case ProcedureName
      Case "EidStartup"
         '...
      Case "EidCleanup"
         '...
      Case "EidBeginRead"
         '...
      Case "EidEndRead"
         '...
      Case "EidReadDocumentData"
         '...
      Case "EidReadFixedPersonalData"
         '...
      Case "EidReadVariablePersonalData"
         '...
      Case "EidReadPortrait"
         '...
   End Select

End Sub

